import Vue from 'vue'
import App from './App.vue'
import router from "./router"
// import wx from "./assets/jweixin-1.6.0"
import wx from 'weixin-js-sdk'
// let wx = require("./assets/jweixin-1.6.0")
import { Popup } from 'vant';
Vue.use(Popup);
Vue.config.productionTip = false
import axios from "axios"

axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';
Vue.prototype.axios = axios
let el = new Vue({
  render: h => h(App),
  router
}).$mount('#app')
let gettitle = () => {
  return new Promise((res) => {
    setInterval(() => {
      if (document.title != 'Lawpro社区' || GetUrlRelativePath() == "/") {
        res(document.title)
      }
    }, 200)
  })
}
function GetUrlRelativePath() {
  var url = document.location.toString();
  var arrUrl = url.split("//");

  var start = arrUrl[1].indexOf("/");
  var relUrl = arrUrl[1].substring(start);//stop省略，截取从start开始到结尾的所有字符

  if (relUrl.indexOf("?") != -1) {
    relUrl = relUrl.split("?")[0];
  }
  return relUrl;
}

el.axios({url:"https://admin.lawpro.cn/api/main/wxfx",method:'POST',data:"url="+window.location.href.replace(/&/g, '#')}).then((res) => {
  // window.console.log(res)
  // alert(JSON.stringify(res.data.data))
  if (res.data.code == 200) {
    let data = res.data.data
    let wxcfg = {
      debug: false,
      appId: data.appId,
      timestamp: data.timestamp,
      nonceStr: data.nonceStr,
      signature: data.signature,
      jsApiList: [
        // 所有要调用的 API 都要加到这个列表中
        'checkJsApi',
        'onMenuShareTimeline',
        'onMenuShareAppMessage',
        'onMenuShareQQ',
        'onMenuShareWeibo',
        'onMenuShareQZone'
      ]
    }
    gettitle().then((res) => {
      // window.console.log(res)
      // el.wxcfg.
      wx.config({
        ...wxcfg
      });
      let href = window.location.href
      wx.ready(function () {
        //分享到朋友圈
        wx.onMenuShareTimeline({
          title: res + " -Lawpro.cn", // 分享标题
          link: href,
          imgUrl: 'https://admin.lawpro.cn/uploads/image/logo.jpg'
        });

        //分享给朋友
        wx.onMenuShareAppMessage({
          title: res,
          desc: '',
          link: href,
          imgUrl: 'https://admin.lawpro.cn/uploads/image/logo.jpg', // 分享图标
          trigger: function () {
            // 不要尝试在trigger中使用ajax异步请求修改本次分享的内容，因为客户端分享操作是一个同步操作，这时候使用ajax的回包会还没有返回
          },
          fail: function (res) {
            alert(JSON.stringify(res));
          }
        });
      });
    })
  }
})